<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_admin_library_manager.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AdminLibraryManager Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_library_manager.html#a963a092b054b3b7415e54d2eca4f8d40">addItem</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">virtual</span><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#a51b64c42d4ce0fc1a39134e7dd388ef3">AdminLibraryManager</a>(QWidget *parent=0)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>buttonsArea</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#acb0025e768b601acd76138cddb2bc6cb">connectSignalsSlots</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>editButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#aee1bf58c2d6bf899dc4b041c488660c7">editItem</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">virtual</span><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>findByIdInput</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>findByNameInput</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>removeButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#a2e08b0ada795d4fc3d0ec16be703091f">removeItem</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">virtual</span><span class="mlabel">slot</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_library_manager.html#aeaff387129397aedde35ca1f86856567">search</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">virtual</span><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>searchBoxArea</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>searchButton</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>searchResultsArea</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>searchResultsList</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>selectedItem</b> (defined in <a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a>)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_library_manager.html#ac399beaf3586b22edc47994502bb4946">setCurrentSelectedItem</a>(QListWidgetItem *item)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#ad78c16165b17801949511ef2796ecd5f">setup</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_library_manager.html#abeb0c03bb57aceeb27dbb844f900b2a3">setupButtons</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_admin_library_manager.html#a588ee7ab6755c681e967e347ac56d627">setupSearchBox</a>(QString nameLabel=&quot;Name:&quot;, QString idLabel=&quot;Id:&quot;)</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_admin_library_manager.html#a6811de04a670a1a66112e5f8e7d83988">setupSearchResultBox</a>()</td><td class="entry"><a class="el" href="class_admin_library_manager.html">AdminLibraryManager</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
